mod aalloc;

pub const HEAP_START: usize = 0x_4444_4444_0000;
/// 131072 bytes
// pub const HEAP_MULTIPLIER: usize = 1024;
pub const HEAP_MULTIPLIER: usize = 100000;

pub const HEAP_BASE: usize = 100;

pub const HEAP_SIZE: usize = HEAP_BASE * HEAP_MULTIPLIER;

use linked_list_allocator::LockedHeap;

#[global_allocator]
pub static ALLOCATOR: LockedHeap = LockedHeap::empty();

#[alloc_error_handler]
fn alloc_error_handler(layout: alloc::alloc::Layout) -> ! {
    // error!("allocation error: {:?}", layout);

    panic!("allocation error: {:?}", layout)
}
