//! Process definition and general utilities surrounding them

use super::capabilities::Capabilities;
use super::priority::Priority;
use crate::stdio::StdIO;
use kernel::proccess::PID;

/// A process
#[derive(Clone, Debug)]
pub struct Process {
    /// Internal PID
    pub pid: PID,

    /// Process password
    pub password: u128,
    ///
    pub capabilities: Capabilities,
    /// A process's priority
    pub priority: Priority,

    /// A process's current working directory
    pub working_dir: String,
    pub stdio: StdIO,
}

impl Process {}
